import java.util.*;
import java.text.*;

public class DisplayTime { 
  public static void main(String[] args) { 
    Locale locale = Locale.getDefault();
    TimeZone tz = TimeZone.getDefault();

    //comprobar la forma de uso y recoger de la linea de comandos
    //el idioma, el pais y la zona horaria
    if (args.length > 3)
    { 
      System.out.println("Uso: java DisplayTime idioma pais zona_horaria");
      System.exit(0);
    }
    else if (args.length == 3)
    { 
      locale = new Locale(args[0], args[1]);
      tz = TimeZone.getTimeZone(args[2]);
    }
    else if (args.length == 2)
    { 
      locale = new Locale(args[0], args[1]);
      tz = TimeZone.getDefault();
    }
    else if (args.length == 1)
    { 
      System.out.println("Uso: java DisplayTime idioma pais zona_horaria");
      System.exit(0);
    }
    else
    { 
      locale = Locale.getDefault();
      tz = TimeZone.getDefault();
    }

    //obtener la hora usando la clase GregorianCalendar
    GregorianCalendar cal = new GregorianCalendar();
    DateFormat myFormat = DateFormat.getDateTimeInstance(
      DateFormat.FULL, DateFormat.FULL, locale);
    myFormat.setTimeZone(tz);
    System.out.println("La Fecha local es "+ myFormat.format(cal.getTime()));
  }
}























